package com.company.demo1.service;

import io.jmix.core.DataManager;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public class SerialNumService {
    @Autowired
    private DataManager dataManager;

    public List<String> getRnListByType(String type){
        return dataManager.loadValue("select e.sn from demo1_SerialNum e,demo1_Type et " +
                        "where e.model=et.model and et.type=:type order by e.sn asc ",String.class)
                .parameter("type",type)
                .list();

    }
}
